Index: trunk/ab5.0/abdev/ab.sln
===================================================================
--- trunk/ab5.0/abdev/ab.sln	(revision 825)
+++ trunk/ab5.0/abdev/ab.sln	(revision 828)
@@ -1,16 +1,26 @@
 ﻿
-Microsoft Visual Studio Solution File, Format Version 9.00
-# Visual Studio 2005
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "jenga", "..\jenga\projects\jenga\jenga.vcproj", "{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}"
+Microsoft Visual Studio Solution File, Format Version 11.00
+# Visual Studio 2010
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "compiler", "compiler.vcxproj", "{11F0E9AB-EAEC-4616-A9DD-838073342CBB}"
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ab_common", "ab_common\ab_common.vcproj", "{87835C33-64C9-4BA5-9B39-608BA5394387}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "abdev", "abdev\abdev.vcxproj", "{DC1B787E-510F-4F7D-8F9A-182600904D83}"
+	ProjectSection(ProjectDependencies) = postProject
+		{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9} = {D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}
+		{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080} = {634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}
+	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "abdev", "abdev\abdev.vcproj", "{DC1B787E-510F-4F7D-8F9A-182600904D83}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ab_common", "ab_common\ab_common.vcxproj", "{87835C33-64C9-4BA5-9B39-608BA5394387}"
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "compiler", "compiler_x86\compiler.vcproj", "{11F0E9AB-EAEC-4616-A9DD-838073342CBB}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "jenga", "..\jenga\projects\jenga\jenga.vcxproj", "{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}"
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "res", "res\res.vcproj", "{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ab-test", "ab-test\ab-test.vcxproj", "{B91DE511-E024-4EB9-B5FD-B2043E79AE44}"
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "icon_res", "icon_res\icon_res.vcproj", "{C487D66E-BED6-4046-9120-8F6BC9F1B300}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "abdev-impl", "abdev-impl\abdev-impl.vcxproj", "{58FF88A2-86BC-4480-95F4-71AF693FEF28}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "icon_res", "icon_res\icon_res.vcxproj", "{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "res", "res\res.vcxproj", "{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "compiler-impl", "compiler-impl\compiler-impl.vcxproj", "{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}"
 EndProject
 Global
@@ -22,4 +32,26 @@
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|Win32.ActiveCfg = Debug|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|Win32.Build.0 = Debug|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|x64.ActiveCfg = Debug|x64
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|x64.Build.0 = Debug|x64
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|Win32.ActiveCfg = Release|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|Win32.Build.0 = Release|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|x64.ActiveCfg = Release|x64
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|x64.Build.0 = Release|x64
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Debug|Win32.ActiveCfg = Debug|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Debug|Win32.Build.0 = Debug|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Debug|x64.ActiveCfg = Debug|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Release|Win32.ActiveCfg = Release|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Release|Win32.Build.0 = Release|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Release|x64.ActiveCfg = Release|x64
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|Win32.ActiveCfg = Debug|Win32
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|Win32.Build.0 = Debug|Win32
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|x64.ActiveCfg = Debug|x64
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|x64.Build.0 = Debug|x64
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|Win32.ActiveCfg = Release|Win32
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|Win32.Build.0 = Release|Win32
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|x64.ActiveCfg = Release|x64
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|x64.Build.0 = Release|x64
 		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Debug|Win32.ActiveCfg = Debug|Win32
 		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Debug|Win32.Build.0 = Debug|Win32
@@ -30,42 +62,40 @@
 		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Release|x64.ActiveCfg = Release|x64
 		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Release|x64.Build.0 = Release|x64
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|Win32.ActiveCfg = Debug|Win32
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|Win32.Build.0 = Debug|Win32
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|x64.ActiveCfg = Debug|x64
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|x64.Build.0 = Debug|x64
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|Win32.ActiveCfg = Release|Win32
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|Win32.Build.0 = Release|Win32
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|x64.ActiveCfg = Release|x64
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|x64.Build.0 = Release|x64
-		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Debug|Win32.ActiveCfg = Debug|Win32
-		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Debug|Win32.Build.0 = Debug|Win32
-		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Debug|x64.ActiveCfg = Debug|x64
-		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Release|Win32.ActiveCfg = Release|Win32
-		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Release|Win32.Build.0 = Release|Win32
-		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Release|x64.ActiveCfg = Release|x64
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|Win32.ActiveCfg = Debug|Win32
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|Win32.Build.0 = Debug|Win32
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|x64.ActiveCfg = Debug|x64
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|x64.Build.0 = Debug|x64
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|Win32.ActiveCfg = Release|Win32
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|Win32.Build.0 = Release|Win32
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|x64.ActiveCfg = Release|x64
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|x64.Build.0 = Release|x64
-		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Debug|Win32.ActiveCfg = Release|Win32
-		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Debug|Win32.Build.0 = Release|Win32
-		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Debug|x64.ActiveCfg = Release|Win32
-		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Debug|x64.Build.0 = Release|Win32
-		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Release|Win32.ActiveCfg = Release|Win32
-		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Release|Win32.Build.0 = Release|Win32
-		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Release|x64.ActiveCfg = Release|Win32
-		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Release|x64.Build.0 = Release|Win32
-		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Debug|Win32.ActiveCfg = Release|Win32
-		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Debug|Win32.Build.0 = Release|Win32
-		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Debug|x64.ActiveCfg = Release|Win32
-		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Debug|x64.Build.0 = Release|Win32
-		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Release|Win32.ActiveCfg = Release|Win32
-		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Release|Win32.Build.0 = Release|Win32
-		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Release|x64.ActiveCfg = Release|Win32
-		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Release|x64.Build.0 = Release|Win32
+		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.Debug|Win32.ActiveCfg = Debug|Win32
+		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.Debug|Win32.Build.0 = Debug|Win32
+		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.Debug|x64.ActiveCfg = Debug|x64
+		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.Debug|x64.Build.0 = Debug|x64
+		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.Release|Win32.ActiveCfg = Release|Win32
+		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.Release|Win32.Build.0 = Release|Win32
+		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.Release|x64.ActiveCfg = Release|x64
+		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.Release|x64.Build.0 = Release|x64
+		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.Debug|Win32.ActiveCfg = Debug|Win32
+		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.Debug|Win32.Build.0 = Debug|Win32
+		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.Debug|x64.ActiveCfg = Debug|x64
+		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.Debug|x64.Build.0 = Debug|x64
+		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.Release|Win32.ActiveCfg = Release|Win32
+		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.Release|Win32.Build.0 = Release|Win32
+		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.Release|x64.ActiveCfg = Release|x64
+		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.Release|x64.Build.0 = Release|x64
+		{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}.Debug|Win32.ActiveCfg = AB_Release|Win32
+		{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}.Debug|Win32.Build.0 = AB_Release|Win32
+		{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}.Debug|x64.ActiveCfg = AB_Release|Win32
+		{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}.Release|Win32.ActiveCfg = AB_Release|Win32
+		{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}.Release|Win32.Build.0 = AB_Release|Win32
+		{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}.Release|x64.ActiveCfg = AB_Release|Win32
+		{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}.Debug|Win32.ActiveCfg = Release|Win32
+		{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}.Debug|Win32.Build.0 = Release|Win32
+		{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}.Debug|x64.ActiveCfg = Release|Win32
+		{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}.Release|Win32.ActiveCfg = Release|Win32
+		{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}.Release|Win32.Build.0 = Release|Win32
+		{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}.Release|x64.ActiveCfg = Release|Win32
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Debug|Win32.ActiveCfg = Debug|Win32
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Debug|Win32.Build.0 = Debug|Win32
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Debug|x64.ActiveCfg = Debug|x64
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Debug|x64.Build.0 = Debug|x64
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Release|Win32.ActiveCfg = Release|Win32
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Release|Win32.Build.0 = Release|Win32
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Release|x64.ActiveCfg = Release|x64
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Release|x64.Build.0 = Release|x64
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
